Page MenuHomePhabricator

Local Media Data Type
Closed, ResolvedPublic

Description

Many organization that run their own Wikibase cannot use commons as media repository, because of certain restrictions on licenses, content, and ownership. Media files can be uploaded to Wikibase instances, but at the moment, Wikibase can only reference media via the data type Commons Media File, which is restricted to items hosted on Wikimedia Commons.

As a Wikibase administrator I would like to enable referencing local media files for a Wikibase instance, so media files can be part of the ontology.

GIVEN I am on Special:NewProperty
WHEN I create a new property
THEN I am able to select a 'local media file' as data type

GIVEN I am on a entity page
WHEN I create a statement
AND the data type of the selected property is 'local media file'
THEN I can search for a media file from the local media repository
AND save it as data value.

GIVEN I have an item with a statement with a property 'local media file'
WHEN I create the RDF export of the item
THEN the URL to the file in the local media repository is rendered in the RDF

GIVEN I am on a entity page of an item with a statement with a property 'local media file'
WHEN I scroll to the statement in the UI
THEN I see a linked thumbnail of the file in the local media repository

This ticket solves T90492: [Task] Make Wikibase Repo work with a custom File collection, not only Wikimedia Commons

Open patches:

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 27 2020, 10:59 AM
Jonas_Kress updated the task description. (Show Details)Jul 27 2020, 11:28 AM
Jonas_Kress updated the task description. (Show Details)
Jonas_Kress updated the task description. (Show Details)
Jonas_Kress updated the task description. (Show Details)Jul 27 2020, 11:31 AM

Change 616471 had a related patch set uploaded (by Jeroen De Dauw; owner: Jeroen De Dauw):
[mediawiki/extensions/Wikibase@master] Add local media data type

https://gerrit.wikimedia.org/r/616471

Change 616470 had a related patch set uploaded (by Jeroen De Dauw; owner: Jeroen De Dauw):
[data-values/value-view@master] Add support for local media type

https://gerrit.wikimedia.org/r/616470

Quick heads-up: Discussion/review of this will have to wait a bit for @Samantha_Alipio_WMDE to come back from vacation.

jmac added a subscriber: jmac.Aug 7 2020, 10:40 AM
Kghbln added a subscriber: Kghbln.Aug 18 2020, 7:19 PM

Any updates so far?
It has been almost a month with no real response...

Any updates so far?
It has been almost a month with no real response...

Hi Jonas, thanks for your patience while I've been out of the office. Implementing support for non-Commons media on Wikibase was planned in the Wikibase product roadmap for in/around Q1 2021, so I was surprised -- albeit in a pleasant way -- to see your contribution here.

We need time to review and evaluate what you've developed to determine whether it is aligned with our originally planned approach for providing image support... after that, we can come to a decision around whether to commit this to the Wikibase codebase for broad release. Reviewing the code will require our engineers to refocus from other in-progress features, so some coordination is necessary. I will keep you and the community updated on this. My door (in the virtual sense) is always open, so feel free to reach out directly to sync up with me.

Change 630213 had a related patch set uploaded (by Jeroen De Dauw; owner: Jeroen De Dauw):
[mediawiki/extensions/Wikibase@master] Make media data type code more flexible

https://gerrit.wikimedia.org/r/630213

Change 616471 abandoned by Jeroen De Dauw:
[mediawiki/extensions/Wikibase@master] Add local media data type

Reason:
In favor of https://gerrit.wikimedia.org/r/c/mediawiki/extensions/Wikibase/ /630213

https://gerrit.wikimedia.org/r/616471

Change 616470 abandoned by Jeroen De Dauw:
[data-values/value-view@master] Add support for local media type

Reason:
In favor of https://gerrit.wikimedia.org/r/c/mediawiki/extensions/Wikibase/ /630213

https://gerrit.wikimedia.org/r/616470

Change 630213 abandoned by Jeroen De Dauw:
[mediawiki/extensions/Wikibase@master] Make media data type code more flexible

Reason:
Actually might be easier without these changes to support multiple WB versions

https://gerrit.wikimedia.org/r/630213

I see all of the patches are now abandoned? and they each seem to point at the other set? Is that intended?

JeroenDeDauw closed this task as Resolved.Mon, Sep 28, 8:48 PM
JeroenDeDauw added a subscriber: JeroenDeDauw.

We put the data type in a new extension. In retrospect perhaps we should have done that right away.